Subject: Re: XUPV2P, Kernel 2.6.17 boot problem

From: Ameet Patil <[email-masked]>
Date: Tue, 01 Aug 2006 12:21:13 +0100

Try this if it helps!

http://www.linux.get2knowmore.com/

-Ameet

Benjamin Heyne wrote:
> Dear all,
> I am currently trying to get the 2.6.17.1 Linux kernel
> running on the Xilinx Virtex. I have the 2.4 kernel up
> and running - No problems there...
> 
> But when using the 2.6 kernel (have copied xparameters file,
> patched for using TEMAC driver) with the same hardware configuration
> the following happens:
> 
> 
> loaded at:     00400000 0061813C
> board data at: 00616124 0061613C
> relocated to:  00405148 00405160
> zimage at:     0040585D 00615F42
> avail ram:     00619000 20000000
> 
> Linux/PPC load: console=ttyS0,9600.....
> 
> Uncompressing Linux...inflate returned FFFFFFFB
> exit
> 
> 
> Now, I am not really sure where to start searching for the bug
> (I just want to implement some drivers - not the kernel itself ;-).
> The zImage.elf file is about 2MB large. Did anyone encounter
> a similar error? Does anyone have some hints where to
> look at for debugging, or what might be wrong?
> 
> Thanks in advance
> Best regards